## com.baidubce.services.media.model
Class CreateThumbnailJobRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.media.model.CreateThumbnailJobRequest

    public class CreateThumbnailJobRequest

extends AbstractBceRequest

Constructor Summary
`CreateThumbnailJobRequest()`

Method Summary
`ThumbnailCapture` `getCapture()`
`String` `getPipelineName()`
`ThumbnailSource` `getSource()`
`ThumbnailTarget` `getTarget()`
`void` `setCapture(ThumbnailCapture capture)`
`void` `setPipelineName(String pipelineName)`
`void` `setSource(ThumbnailSource source)`
`void` `setTarget(ThumbnailTarget target)`
`CreateThumbnailJobRequest` `withCapture(ThumbnailCapture capture)`
`CreateThumbnailJobRequest` `withPipelineName(String pipelineName)`
`AbstractBceRequest` `withRequestCredentials(BceCredentials credentials)`
`CreateThumbnailJobRequest` `withSource(ThumbnailSource source)`
`CreateThumbnailJobRequest` `withTarget(ThumbnailTarget target)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateThumbnailJobRequest

    public CreateThumbnailJobRequest()

Method Detail

### getPipelineName

    public String getPipelineName()

### setPipelineName

    public void setPipelineName(String pipelineName)

### withPipelineName

    public CreateThumbnailJobRequest withPipelineName(String pipelineName)

### getSource

    public ThumbnailSource getSource()

### setSource

    public void setSource(ThumbnailSource source)

### withSource

    public CreateThumbnailJobRequest withSource(ThumbnailSource source)

### getTarget

    public ThumbnailTarget getTarget()

### setTarget

    public void setTarget(ThumbnailTarget target)

### withTarget

    public CreateThumbnailJobRequest withTarget(ThumbnailTarget target)

### getCapture

    public ThumbnailCapture getCapture()

### setCapture

    public void setCapture(ThumbnailCapture capture)

### withCapture

    public CreateThumbnailJobRequest withCapture(ThumbnailCapture capture)

### withRequestCredentials

    public AbstractBceRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.